## org.apache.bcel.classfile
Interface ConstantObject

All Known Implementing Classes:
  ConstantClass, ConstantDouble, ConstantFloat, ConstantInteger, ConstantLong, ConstantString

public interface ConstantObject

This interface denotes those constants that have a "natural" value, such as ConstantLong, ConstantString, etc..

Version:
  $Id: ConstantObject.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Constant`

Method Summary
`java.lang.Object` `getConstantValue(ConstantPool cp)`

Method Detail

### getConstantValue

    public java.lang.Object getConstantValue(ConstantPool cp)

  Returns:
    object representing the constant, e.g., Long for ConstantLong

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.